Bug 208665 - "//#123456" not hyperlinked while "// #123456" is
"//#123456" not hyperlinked while "// #123456" is
Status: NEW
Product: connecteddeveloper
Classification: Unclassified
Component: Jira
7.2
PC Linux
: P3 (vote)
: TBD
Assigned To: Tomas Stupka
issues@connecteddeveloper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 19:26 UTC by Jesse Glick
Modified: 2013-05-21 22:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-02-20 19:26:56 UTC
Many NB sources (e.g. MavenCommandLineExecutor.java) include comments like


        //#164234
        //if maven.bat file is in space...

which do not get hyperlinked. If you add a space

        // #164234
        //if maven.bat file is in space...

then they are.

Using jrunscriptin,


bif = org.openide.util.Lookup.getDefault().lookupAll(org.netbeans.modules.bugtracking.spi.IssueFinder).iterator().next()
org.netbeans.modules.bugzilla.issue.BugzillaIssueFinder@a78e87
java.util.Arrays.toString(bif.getIssueSpans("//#123456"))
[]
java.util.Arrays.toString(bif.getIssueSpans("// #123456"))
[3, 10]
Comment 1 Tomas Stupka 2012-02-21 07:48:17 UTC
fixed in bugzilla - core-main #9ddfc1bb54ad

has also to be fixed in jira
Comment 2 Quality Engineering 2012-02-22 11:01:48 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9ddfc1bb54ad
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #208665 - "//#123456" not hyperlinked while "// #123456" is
Comment 3 markiewb 2013-05-21 20:44:12 UTC
(In reply to comment #2)
> Integrated into 'main-golden', will be available in build *201202220400* on
> http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
> Changeset: http://hg.netbeans.org/main-golden/rev/9ddfc1bb54ad
> User: Tomas Stupka <tstupka@netbeans.org>
> Log: Issue #208665 - "//#123456" not hyperlinked while "// #123456" is

@Tomas: So this issue can be resolved as fixed?
Comment 4 Tomas Stupka 2013-05-21 22:19:47 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Integrated into 'main-golden', will be available in build *201202220400* on
> > http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
> > Changeset: http://hg.netbeans.org/main-golden/rev/9ddfc1bb54ad
> > User: Tomas Stupka <tstupka@netbeans.org>
> > Log: Issue #208665 - "//#123456" not hyperlinked while "// #123456" is
> 
> @Tomas: So this issue can be resolved as fixed?
no. see comment #1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo